
class WarningActionsContainer extends React.Component {
    render() {
        var _props = this.props;
        const host = _props.host,
              dispatch = _props.dispatch,
              parent = _props.parent;

        return React.createElement(
            "div",
            { className: "main-warning__actions" },
            !parent ? React.createElement(ButtonAction, { typeAction: "goToSite", dispatch: dispatch, host: host, commonComponent: "WarningScreen", commonType: "Severe" }) : React.createElement("i", null),
            React.createElement(ButtonAction, { typeAction: "getOut", dispatch: dispatch, host: host, commonComponent: "WarningScreen", commonType: parent ? "Parental" : "Severe" }),
            !parent && true /*TODO remove for checkbox*/ ? React.createElement(
                "div",
                { className: "main-warning__actions__checkbox" },
                React.createElement("input", { id: "warn-checkbox", type: "checkbox" }),
                React.createElement(
                    "span",
                    null,
                    webextApi.i18n.getMessage("dontShowOnThisSite")
                )
            ) : React.createElement("i", null)
        );
    }
}