
class SocialAuthHandler {
    constructor(store) {
        this.store = store;
    }
    findLongestWord(str) {
        return str.split(' ').reduce(function (longest, currentWord) {
            return currentWord.length > longest.length ? currentWord : longest;
        }, "");
    }
    init() {
        try {
            let match = window.location.href.match(SOCIAL_CALLBACK_URL);
            if (match && match.length > 0) {
                let code = document.querySelector("head script").innerHTML;
                let token = this.findLongestWord(code).replace(/"/g, "").replace(/\},/, "").trim();
                this.store.dispatch(saveToken(token));
            }
        } catch (e) {
            ;
        }
    }
}