
class DescriptionOption extends React.Component {
	render() {
		var _props = this.props;
		const title = _props.title,
		      text = _props.text,
		      clickAction = _props.clickAction,
		      donutState = _props.donutState;

		let titleClass = 'description-option__title';
		return React.createElement(
			"div",
			{ className: "description-option" },
			React.createElement(
				"div",
				{ className: titleClass },
				title,
				title === webextApi.i18n.getMessage("rtProtectionRecommended") && React.createElement("div", { className: "description-option__title_warning" }),
				title === webextApi.i18n.getMessage("donuts") && React.createElement(
					"div",
					{ className: "description-option__title_donuts", onClick: clickAction },
					webextApi.i18n.getMessage(donutState ? "ShowLess" : "ShowMore")
				)
			),
			text !== '' && React.createElement(
				"div",
				{ className: "description-option__text" },
				text + (this.props.policy ? ' ' : ''),
				this.props.policy && React.createElement(
					"a",
					{ href: PRIVACY_POLICY, target: "_blank" },
					webextApi.i18n.getMessage('policy')
				)
			)
		);
	}
}