
class ModalMobile extends React.Component {
    constructor(props) {
        super(props);
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile Popup Shown",
                [atob("ZWw=")]: ""
            }
        });
    }
    clickNoThanks(e) {
        this.props.dispatch(mobileTrigerModalReset());
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile Popup No Thanks",
                [atob("ZWw=")]: ""
            }
        });
        this.props.onClose();
    }
    clickClose(e) {
        this.props.dispatch(mobileTrigerModalReset());
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile Popup Close",
                [atob("ZWw=")]: ""
            }
        });
        this.props.onClose();
    }
    onAndroidBtnClick() {
        webextApi.runtime.sendMessage({
            name: SEND_MESSAGE, params: {
                [atob("ZWM=")]: "Main Window",
                [atob("ZWE=")]: "Mobile Popup Download",
                [atob("ZWw=")]: ""
            }
        });
        this.props.dispatch(mobileTrigerModalReset());
        webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: ANDROID_WEBSTORE_URL });
        window.close();
    }
    render() {
        return React.createElement(
            "div",
            { className: "modal-mobile" },
            React.createElement(
                "div",
                { className: "modal-message__close", onClick: this.clickClose.bind(this) },
                React.createElement("span", { className: "modal-message__close-hover" }),
                React.createElement("span", { className: "modal-message__close-image" })
            ),
            React.createElement(
                "div",
                { className: "modal-mobile__header" },
                React.createElement("div", { className: "modal-mobile__image" })
            ),
            React.createElement(
                "div",
                { className: "modal-mobile__text" },
                React.createElement(
                    "span",
                    { className: "modal-message__header modal-message__header_rate-header" },
                    webextApi.i18n.getMessage('protectAndroid')
                ),
                React.createElement(
                    "span",
                    { className: "modal-message__header modal-message__header_rate-text" },
                    webextApi.i18n.getMessage('downloadAndroid')
                )
            ),
            React.createElement(
                "div",
                { className: "modal-mobile__buttons" },
                React.createElement(
                    "div",
                    { className: "modal-mobile__protect-btn", onClick: this.onAndroidBtnClick.bind(this) },
                    React.createElement("div", { className: "modal-mobile__btn-icon" }),
                    webextApi.i18n.getMessage('protectAndroid')
                ),
                React.createElement(
                    "span",
                    { className: "modal-message__button-container__item modal-message__button-container__item_no-thanks", onClick: this.clickNoThanks.bind(this) },
                    webextApi.i18n.getMessage('noThanks')
                )
            )
        );
    }
}