
class SecurityBubble extends React.Component {
	render() {
		var _props = this.props;
		let safety = _props.safety,
		    color = _props.color,
		    settings = _props.settings;

		if (safety) {
			return React.createElement(
				"div",
				{ className: "security-container" },
				React.createElement(
					"div",
					{ className: "security__label" },
					React.createElement(
						"span",
						null,
						webextApi.i18n.getMessage('security')
					)
				),
				React.createElement("div", { className: "security__logo security__logo_" + color }),
				React.createElement(
					"div",
					{ className: "security__value security__value_" + color },
					React.createElement(
						"span",
						null,
						webextApi.i18n.getMessage(safety)
					)
				)
			);
		} else {
			return React.createElement("i", null);
		}
	}
}
SecurityBubble.propTypes = {
	safety: React.PropTypes.string.isRequired,
	color: React.PropTypes.string.isRequired
};
function mapStateToPros(state) {
	return { settings: state.settings };
}
SecurityBubble = ReactRedux.connect(mapStateToPros)(SecurityBubble);