
//COMPONENTS
class CommentsList extends React.Component {
    componentDidMount() {
        if (document.getElementsByClassName('comments__item_main')[0]) {
            document.getElementsByClassName('comments__item_main')[0].style.height = document.getElementsByClassName('comments__item')[0].offsetHeight + 25 + 'px';
        }
    }
    componentDidUpdate() {
        if (document.getElementsByClassName('comments__item_main')[0]) {
            document.getElementsByClassName('comments__item_main')[0].style.height = document.getElementsByClassName('comments__item')[0].offsetHeight + 25 + 'px';
        }
    }
    render() {
        var _props = this.props;
        const comments = _props.comments,
              reviews = _props.reviews,
              userName = _props.userName,
              bubbles = _props.bubbles,
              step = _props.step,
              picture = _props.picture;

        let selfComment = reviews.comment && reviews.comment.length !== 0 ? true : false,
            arrayComments = comments.data,
            textTitle = comments.count + webextApi.i18n.getMessage('Reviews'),
            fadeClass = 'comments__fade';
        comments.loading && (textTitle = webextApi.i18n.getMessage('loading'));
        step === 0 && (fadeClass += ' comments__fade_first');
        if (!comments.loading && (arrayComments && arrayComments.length === 0 || !arrayComments)) {
            return React.createElement(
                'div',
                { className: 'comments' },
                React.createElement(
                    'div',
                    { className: 'comments__title' },
                    webextApi.i18n.getMessage('noComments')
                )
            );
        }
        return React.createElement(
            'div',
            { className: 'comments' },
            React.createElement(
                'div',
                { className: 'comments__title' },
                textTitle
            ),
            arrayComments && arrayComments.length > 1 && React.createElement('div', { className: fadeClass }),
            React.createElement(
                'div',
                { className: 'comments__container' },
                selfComment && React.createElement(
                    'div',
                    { id: 'comments__item_main' },
                    React.createElement(CommentsItem, { commentsData: _.merge({
                            name: userName,
                            bubbles: bubbles,
                            picture: picture
                        }, reviews) }),
                    React.createElement('div', { className: 'comments__item_main' })
                ),
                arrayComments && arrayComments.map(item => (item.name !== userName || !reviews.comment) && React.createElement(CommentsItem, { commentsData: item })),
                comments.loading && React.createElement(CommentsLoader, null)
            )
        );
    }
}