
class ModalMessageSharing extends React.Component {
	onFacebookClick() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Share Screen",
				[atob("ZWE=")]: "Share Facebook",
				[atob("ZWw=")]: ""
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: getFacebookSharingUrl() });
		window.close();
	}
	onTwitterClick() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Share Screen",
				[atob("ZWE=")]: "Share Twitter",
				[atob("ZWw=")]: ""
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: getTwitterSharingUrl() });
		window.close();
	}
	onGoogleClick() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Share Screen",
				[atob("ZWE=")]: "Share Google+",
				[atob("ZWw=")]: ""
			}
		});
		webextApi.runtime.sendMessage({ name: OPEN_TAB_MESSAGE, url: getGoogleSharingUrl() });
		window.close();
	}
	onClose() {
		webextApi.runtime.sendMessage({
			name: SEND_MESSAGE, params: {
				[atob("ZWM=")]: "Share Screen",
				[atob("ZWE=")]: "Close",
				[atob("ZWw=")]: ""
			}
		});
		this.props.onClose();
	}
	/*<SocialButton onClick={this.onFacebookClick.bind(this)}
 className="popup-container__footer__follow-btn__social_facebook sharing-button"/>*/
	render() {
		return React.createElement(
			"div",
			{ className: "modal-message_sharing" },
			React.createElement(
				"div",
				{ className: "modal-message__close", onClick: this.onClose.bind(this) },
				React.createElement("span", { className: "modal-message__close-hover" }),
				React.createElement("span", { className: "modal-message__close-image" })
			),
			React.createElement(
				"div",
				{ className: "modal-message__header" },
				webextApi.i18n.getMessage("shareWotFriends")
			),
			React.createElement(
				"div",
				{ className: "modal-message__button-container modal-message__button-container_sharing" },
				React.createElement(SocialButton, { onClick: this.onFacebookClick.bind(this),
					className: "popup-container__footer__follow-btn__social_facebook sharing-button" }),
				React.createElement(SocialButton, { onClick: this.onTwitterClick.bind(this),
					className: "popup-container__footer__follow-btn__social_twitter sharing-button" }),
				React.createElement(SocialButton, { onClick: this.onGoogleClick.bind(this),
					className: "popup-container__footer__follow-btn__social_google sharing-button" })
			)
		);
	}
}