
class UserInfo extends React.Component {
    viewAccount() {
        this.props.goToMyAccount();
    }
    render() {
        let user = this.props.userdata;
        return React.createElement(
            "div",
            { className: "user-info" },
            React.createElement(
                "div",
                { className: "wot-avatar", onClick: this.viewAccount.bind(this) },
                React.createElement(
                    "div",
                    { className: "wot-avatar__frame" + (user.roles && user.roles[6] ? " avatar__frame_" + user.roles[6] : ""), style: { 'background-image': 'url(\'' + PREFIX_CDN + (user.picture || DEFAULT_AVATAR) + "')", 'background-size': 'cover' } },
                    React.createElement("span", { className: "wot-avatar__badge" + (user.roles && user.roles[6] ? " avatar__badge_" + user.roles[6] : "") })
                )
            ),
            React.createElement(
                "div",
                { className: "user-info__content" },
                React.createElement(
                    "span",
                    { className: "user-info__name" },
                    user.name
                ),
                React.createElement(
                    "span",
                    { className: "user-info__level" },
                    React.createElement(
                        "span",
                        { className: "user-info__level-name" },
                        user.roles[6] && user.roles[6].charAt(0).toUpperCase() + user.roles[6].substr(1).toLowerCase() + ' '
                    ),
                    React.createElement(
                        "span",
                        { className: "user-info__points" },
                        webextApi.i18n.getMessage('Pts').replace('%POINTS%', user.score ? user.score : 0)
                    )
                ),
                React.createElement(
                    "span",
                    { className: "user-info__button", onClick: this.viewAccount.bind(this) },
                    webextApi.i18n.getMessage('ViewMyAccount')
                )
            )
        );
    }
}